Imagick::getImagePage
Imagick::getImageProfile
Imagick
PHP Manual

# Imagick::getImagePixelColor

Returns the color of the specified pixel

### Description

ImagickPixel Imagick::getImagePixelColor ( int `$x` , int `$y` )

Returns the color of the specified pixel.

### Parameters

`x`

  The x-coordinate of the pixel

`y`

  The y-coordinate of the pixel

### Return Values

Returns an ImagickPixel instance for the color at the coordinates given.

### Errors/Exceptions

Throws ImagickException on error.